org.keycloak.dom.saml.v2.protocol

## Class ArtifactResponseType

- java.lang.Object
- - org.keycloak.dom.saml.common.CommonResponseType
  - - org.keycloak.dom.saml.v2.protocol.StatusResponseType
    - - org.keycloak.dom.saml.v2.protocol.ArtifactResponseType

- All Implemented Interfaces:
    Serializable, SAML2Object

      public class ArtifactResponseType
      extends StatusResponseType

  Java class for ArtifactResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ArtifactResponseType">
         <complexContent>
           <extension base="{urn:oasis:names:tc:SAML:2.0:protocol}StatusResponseType">
             <sequence>
               <any/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Object` | `any`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.protocol.StatusResponseType

      `consent, destination, extensions, id, issueInstant, issuer, status, version`

    - ### Fields inherited from class org.keycloak.dom.saml.common.CommonResponseType

      `inResponseTo, signature`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArtifactResponseType(StatusResponseType srt)`
    `ArtifactResponseType(String id, XMLGregorianCalendar issueInstant)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getAny()` Gets the value of the any property.
    `void` | `setAny(Object value)` Sets the value of the any property.

    - ### Methods inherited from class org.keycloak.dom.saml.v2.protocol.StatusResponseType

      `getConsent, getDestination, getExtensions, getIssuer, getStatus, getVersion, setConsent, setDestination, setExtensions, setIssuer, setStatus`

    - ### Methods inherited from class org.keycloak.dom.saml.common.CommonResponseType

      `getID, getInResponseTo, getIssueInstant, getSignature, setInResponseTo, setSignature`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### any

          protected Object any

  - ### Constructor Detail

    - #### ArtifactResponseType

          public ArtifactResponseType(String id,
                                      XMLGregorianCalendar issueInstant)

    - #### ArtifactResponseType

          public ArtifactResponseType(StatusResponseType srt)

  - ### Method Detail

    - #### getAny

          public Object getAny()

      Gets the value of the any property.
      Returns:
        possible object is `Element` `Object`

    - #### setAny

          public void setAny(Object value)

      Sets the value of the any property.
      Parameters:
        `value` - allowed object is `Element` `Object`

Copyright © 2016 JBoss by Red Hat. All rights reserved.